Package org.jcsp.net.dynamic

# Interface MigratableChannelOutput

All Superinterfaces:
  `ChannelOutput`, `FilteredChannelOutput`, `NetChannelOutput`, `Networked`, `Poisonable`, `Serializable`, `WriteFiltered`

public interface MigratableChannelOutput extends NetChannelOutput, FilteredChannelOutput, Serializable
A migratable networked channel output end.

Author:
  Quickstone Technologies Limited

## Method Summary

Modifier and Type
Method
Description
`void`
`prepareToMove()`
Prepares the channel end for movement to another node.

### Methods inherited from interface org.jcsp.lang.ChannelOutput

`write`

### Methods inherited from interface org.jcsp.net.NetChannelOutput

`destroyWriter, getFactoryClass, recreate, recreate`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

### Methods inherited from interface org.jcsp.util.filter.WriteFiltered

`addWriteFilter, addWriteFilter, getWriteFilter, getWriteFilterCount, removeWriteFilter, removeWriteFilter`

## Method Details

### prepareToMove

void prepareToMove()
Prepares the channel end for movement to another node.